:root {
    --bg-darker: #182028;
    --bg-main: #1F2830;
    --title: #F0EAE0;
    --body-text: #9AB0BE;
    --teal: #3D7A6E;
    --amber: #D4874A;
}

.container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 80px;
    margin: 2rem;
    font-family: "Bricolage Grotesque";
    justify-items: center;
}

.works {
    border: 1px solid var(--teal);
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

img {
    aspect-ratio: 16 / 9;
    object-fit: cover;
    height: 200px;
    width: auto;
    border-radius: 10px;
    align-self: center;
}

.work-description {
    display: flex;
    flex-wrap: wrap;
}

.tag {
    display: inline-block;
    background-color: var(--bg-darker);
    color: var(--teal);
    padding: 8px;
    border-radius: 20px;
    margin-top: 8px;
    margin-bottom: 8px;
    margin-left: 8px;
}

.link {
    display: inline-block;
    font-size: 1.3rem;
    text-decoration: none;
    color: var(--amber);
    transition: all 0.2s ease-in;
    transform: translateX(12px);
    margin-bottom: 16px;
}

.link:hover {
    background-color: var(--amber);
    color: var(--title);
}